DPSEXEC(1)

NAME
dpsexec - Display PostScript Executive

SYNOPSIS
dpsexec [ -display name ][ -sync ][ -backup ][ -noexec ][ -root ][ -drawable windowId ][ -height n ][ -width n ]

DESCRIPTION

dpsexec is a Display PostScript program that allows the user to interact directly with the PostScript interpreter through a command interface. dpsexec reads lines of text from standard input and passes each line to the PostScript interpreter for execution. It creates a window that displays the results of graphics operations as they are executed. dpsexec exits when end of file is reached on standard input, or when the user types "quit<return>", which executes the PostScript quit operator.

By default, dpsexec executes the PostScript executive operator before it accepts any user input. This operator puts the PostScript interpreter in "interactive executive" mode so that the user can control the interpreter directly. In this mode, the PostScript interpreter supports certain line-editing functions and prompts the user when it is ready to execute more input. See section 2.4.4, "Using the Interpreter Interactively," of the PostScript Language Reference Manual, Second Edition, for detailed information on this mode of operation.

OPTIONS

-display name
    specifies the display on which to open a connection to the Display PostScript system. If no display is specified, the DISPLAY environment variable is used.

-sync
    establishes a synchronous connection with the specified X display.

-backup
    uses backing store for the window in which graphics are displayed, if possible. This is generally only effective with the DPS NX system.

-noexec
    prevents dpsexec from entering "interactive executive" mode. The primary effect of this option is to inhibit printing the PS> prompt before each line of input is accepted. This option is useful when dpsexec is run with standard input redirected from a file or a pipe.

-root
    tells dpsexec to draw into the root window instead of into a window that it creates.

-drawable windowId
    tells dpsexec to draw into the specified window instead of into a window that it creates.

-height n
    sets the height of the created window.

-width n
    sets the width of the created window.

DIAGNOSTICS
PostScript language error messages are printed to standard output.

AUTHOR
Adobe Systems Incorporated

NOTES
PostScript and Display PostScript are trademarks of Adobe Systems Incorporated which may be registered in certain jurisdictions.

Copyright (c) 1990-1994 Adobe Systems Incorporated. All rights reserved.